Page 1 of 1

[RPM] Fedora package

Posted: 04 Apr 2019, 07:10
by rednoah
FileBot provides its own YUM repository, so you can install and upgrade FileBot via sudo dnf install filebot.


The installer/rpm.sh will add the repository and install FileBot for you:

Code: Select all

bash -xu <<< "$(curl -fsSL https://raw.githubusercontent.com/filebot/plugins/master/installer/rpm.sh)"


Alternatively, you can manually add the repository:

1. Add repository

Code: Select all

sudo dnf config-manager --add-repo https://raw.githubusercontent.com/filebot/plugins/master/yum/universal-jdk8.repo
2. Enable repository

Code: Select all

sudo dnf config-manager --set-enabled filebot --dump
3. Install FileBot

Code: Select all

sudo dnf install filebot

Re: [RPM] Fedora package

Posted: 10 May 2019, 13:58
by b2un0
Error on CentOS 7.

Code: Select all

  - nothing provides java-1.8.0-openjdk-openjfx needed by filebot-4.8.5-universal.jdk8.noarch
i doesn't understand why the .rpm package have a dependency on openjfx.
the .deb packages only recommends openjfx.

Im searching for 2 hours for a CentOS 7 Repo which provide the "java-1.8.0-openjdk-openjfx" as package - i give up.

Re: [RPM] Fedora package

Posted: 10 May 2019, 14:19
by rednoah
The RPM package is tested on Fedora.

Since some of these dependency are optional, or can be provided by the user manually, Requires is not ideal, but since there's no Recommends AFAIK, this is what we've got:

Code: Select all

Requires:       java-1.8.0-openjdk
Requires:       java-1.8.0-openjdk-openjfx
Requires:       jna
Requires:       mediainfo
Requires:       p7zip
Requires:       p7zip-plugins

EDIT:

I've found some other key words in some other docs. I guess Recommends is possible. Will use Recommends for upcoming builds.

Re: [RPM] Fedora package

Posted: 10 May 2019, 14:32
by b2un0
Okay, thanks. i will try Fedora for my Dockerfile..

*edit*

yes, this works, thank you!